Arvados - Bug #15183

[Workbench2] No errors reported when file is missing a block
05/01/2019 09:39 PM - Tom Morris

Status: New Start date:

Priority: High Due date:

Assigned To: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description

When looking at collection su92I-4zz18-44qy35pg0Ixshkf/cwl.input.yml the file is cwl.output.json is listed as containing 361 bytes, but
when downloaded from Workbench, it produces a zero byte file, but without giving any error or warning.

$ mdS5sum keep/by_id/su921-4zz18-44qy35pg0lxshkf/*

a890894f5a748d2a93440£d046c73069 keep/by_id/su921-4zz18-44qgy35pg0lxshkf/cwl.input.yml

md5sum: keep/by_id/su921-4zz18-44qy35pg0lxshkf/cwl.output. json: Input/output error
d41d8cd98£f00b204e9800998ecfB8427e keep/by_id/su921-4zz18-44qy35pg0lxshkf/hu27FD1F_var-GS000034212-
ASM.bed

b02868b9%9acl264bd1f04b61d04518£57 keep/by_1d/su921-4zz18-44qy35pg0lxshkf/workflow.cwl

History

#1 - 02/13/2020 04:09 PM - Ward Vandewege
- Subject changed from [Workbench] No errors reported when file is missing a block to [WorkbenchZ2] No errors reported when file is missing a block
| just tried this again:

e from Chromium: workbench itself does not throw an error, but the download does error out with "Failed - File Incomplete".
e from Firefox: workbench does not throw an error, but the download simply does not happen.

The behavior on workbench2 is identical. Changing this bug to be about workbench2, as workbench is close to EOL.

#2 - 07/06/2021 09:08 PM - Peter Amstutz

- Target version deleted (To Be Groomed)
